/***********************************************************************
**                                                                    **
**  listing_10_9.c                                                    **
**                                                                    **
**  Scale Demo. This program displays a scale, and catches its        **
**  callbacks.                                                        **
**                                                                    **
***********************************************************************/


#include <Xm/Scale.h>


void	ScaleCB();			/* FORWARD Definition	      */


Widget	appshell,			/* Application Shell	      */
	thescale;			/* The scale                  */


void main( argc, argv )
    int     argc;
    char    *argv[];
{
    appshell = XtInitialize( argv[0], "Listing_10_9", NULL, 0, &argc, argv );

    thescale = XmCreateScale( appshell, "TheScale", NULL, 0 );
    XtManageChild( thescale );

    XtAddCallback( thescale, XmNdragCallback,         ScaleCB, NULL );
    XtAddCallback( thescale, XmNvalueChangedCallback, ScaleCB, NULL );

    XtRealizeWidget( appshell );
    XtMainLoop();
}


void ScaleCB( w, client_data, call_data )
    Widget      	    w;
    caddr_t		    client_data;
    XmScaleCallbackStruct   *call_data;
{
    printf( "\nCallback...\n" );
    switch (call_data->reason)
        {
	case XmCR_DRAG :
		printf( "   Reason: Drag\n" );
		break;
	case XmCR_VALUE_CHANGED :
		printf( "   Reason: Value Changed\n" );
		break;
        }
    printf( "   New Value: %d\n", call_data->value );
}
